options { dir_perm(0755); perm(0644); chain_hostnames(no);
          keep_hostname(yes); };
source net  {
        udp(ip(0.0.0.0) port(514));
};


source local {
	unix-stream("/dev/log");
	internal();
};


# *.info;mail.none;authpriv.none;cron.none;local2.none    /var/log/messages
filter f_1 { 	not facility(cron); };
filter f_2 {	not facility(local2); };
filter f_3 {	level(info..emerg); };
filter f_4 {	not facility(mail); };
filter f_5 {	not facility(authpriv); };
destination d_1 { 	file("/var/log/messages" create_dirs(yes)); };
log { source(local); filter(f_1); filter(f_2); filter(f_3); filter(f_4); filter(f_5); destination(d_1); };

# authpriv.*                                              /var/log/secure
filter f_6 {	facility(authpriv) and level(debug..emerg); };
destination d_2 { 	file("/var/log/secure" create_dirs(yes)); };
log { source(local); filter(f_6); destination(d_2); };

# mail.*                                                  /var/log/maillog
filter f_7 { 	facility(mail) and level(debug..emerg); };
destination d_3 { 	file("/var/log/maillog" create_dirs(yes)); };
log { source(local); filter(f_7); destination(d_3); };

# cron.*                                                  /var/log/cron
filter f_8 {	facility(cron) and level(debug..emerg); };
destination d_4 { 	file("/var/log/cron" create_dirs(yes)); };
log { source(local); filter(f_8); destination(d_4); };

# *.emerg                                                 *
filter f_9 { 	level(emerg); };
destination d_5 { 	usertty("*"); };
log { source(local); filter(f_9); destination(d_5); };

# uucp,news.crit                                          /var/log/spooler
filter f_10 { 	facility(uucp,news) and level(crit..emerg); };
destination d_6 { 	file("/var/log/spooler" create_dirs(yes)); };
log { source(local); filter(f_10); destination(d_6); };

# local7.*                                                /var/log/boot.log
filter f_14 { 	facility(local7) and level(debug..emerg); };
destination d_10 { 	file("/var/log/boot.log" create_dirs(yes)); };
log { source(local); filter(f_14); destination(d_10); };

# kern.* /var/log/kernel
filter f_15 {	facility(kern) and level(debug..emerg); };
destination d_11 { 	file("/var/log/kernel" create_dirs(yes)); };
log { source(local); filter(f_15); destination(d_11); };

# *.*;local2.none /opt/agarik/log/all.log
filter f_16 {	level(debug..emerg); };
destination d_12 { 	file("/opt/agarik/log/all.log" create_dirs(yes)); };
log { source(local); filter(f_16); filter(f_2); destination(d_12); };

# local2.=error                                   /var/log/httpd/httpd_error.log
filter f_13 {	facility(local2) and level(error); };
destination d_9 {       file("/var/log/httpd/httpd_error.log" create_dirs(yes)); };
log { source(net); filter(f_13); destination(d_9); };

# local2.=notice                                  /var/log/httpd/httpd_access.log
#filter f_11 {	facility(local2) and level(notice); };
#destination d_7 { 	file("/var/log/httpd/httpd_access.log" create_dirs(yes)); };
#log { source(net); filter(f_11); destination(d_7); };

# local2.=warn                                    /var/log/httpd/wwwX-httpd_error.log
#filter f_12 {	facility(local2) and level(warn); };
#destination d_8 { 	file("/var/log/httpd/wwwX-httpd_error.log" create_dirs(yes)); };
#log { source(net); filter(f_12); destination(d_8); };

# access share-vplusr.3ds.com
filter f_vh1 {	facility(local2) and level(notice) and match("share-vplusr.3ds.com"); };
destination d_vh1 { 	file("/var/log/httpd/share-vplusr.3ds.com-httpd_access.log" create_dirs(yes)); };
log { source(net); filter(f_vh1); destination(d_vh1); };

# access 3dcollage.apps.3dvia.com
filter f_vh2 {	facility(local2) and level(notice) and match("3dcollage.apps.3dvia.com"); };
destination d_vh2 { 	file("/var/log/httpd/3dcollage.apps.3dvia.com-httpd_access.log" create_dirs(yes)); };
log { source(net); filter(f_vh2); destination(d_vh2); };

# access share-sports.3ds.com
filter f_vh3 {	facility(local2) and level(notice) and match("share-sports.3ds.com"); };
destination d_vh3 { 	file("/var/log/httpd/share-sports.3ds.com-httpd_access.log" create_dirs(yes)); };
log { source(net); filter(f_vh3); destination(d_vh3); };

# access vplusr.apps.3ds.com
filter f_vh4 {	facility(local2) and level(notice) and match("vplusr.apps.3ds.com"); };
destination d_vh4 { 	file("/var/log/httpd/vplusr.apps.3ds.com-httpd_access.log" create_dirs(yes)); };
log { source(net); filter(f_vh4); destination(d_vh4); };

# access www.3ds.com
filter f_vh5 {	facility(local2) and level(notice) and match("www.3ds.com"); };
destination d_vh5 { 	file("/var/log/httpd/www.3ds.com-httpd_access.log" create_dirs(yes)); };
log { source(net); filter(f_vh5); destination(d_vh5); };

# access vplusrdev.apps.3ds.com
filter f_vh6 {	facility(local2) and level(notice) and match("vplusrdev.apps.3ds.com"); };
destination d_vh6 { 	file("/var/log/httpd/vplusrdev.apps.3ds.com-httpd_access.log" create_dirs(yes)); };
log { source(net); filter(f_vh6); destination(d_vh6); };

# access admin1.event.3ds.com
filter f_vh7 {	facility(local2) and level(notice) and match("admin1.event.3ds.com"); };
destination d_vh7 { 	file("/var/log/httpd/admin1.event.3ds.com-httpd_access.log" create_dirs(yes)); };
log { source(net); filter(f_vh7); destination(d_vh7); };

# access admin1.event.3ds.com
filter f_vh8 {	facility(local2) and level(notice) and match("www.tvnima.com"); };
destination d_vh8 { 	file("/var/log/httpd/www.tvnima.com-httpd_access.log" create_dirs(yes)); };
log { source(net); filter(f_vh8); destination(d_vh8); };

#acces customerbook.3ds.com
filter f_vh9 { facility(local2) and level(notice) and match("customerbook.3ds.com"); }; destination d_vh9 { file("/var/log/httpd/customerbook.3ds.com-httpd_access.log" create_dirs(yes)); }; log { source(net); filter(f_vh9); destination(d_vh9); };

#acces betadev.tvnima.com
filter f_vh10 { facility(local2) and level(notice) and match("betadev.tvnima.com"); }; destination d_vh10 { file("/var/log/httpd/betadev.tvnima.com-httpd_access.log" create_dirs(yes)); }; log { source(net); filter(f_vh10); destination(d_vh10); };

#acces beta.3dswym.com
filter f_vh11 { facility(local2) and level(notice) and match("beta.3dswym.com"); }; destination d_vh11 { file("/var/log/httpd/beta.3dswym.com-httpd_access.log" create_dirs(yes)); }; log { source(net); filter(f_vh11); destination(d_vh11); };

